MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027138Open CASCADE[OCCT] OCCT:Configurationpublic2016-02-05 18:562016-04-20 15:51
Reporteribs 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSWindowsOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0027138: Configuration, Cmake - incorrect binaries installation path for single generators
Descriptionwhen single generator is used, shared libraries are placed into library folder but should be in their own folder (e.g., bin)
Steps To Reproduce1. Open command prompt
2. Set up paths to VC++ compiler, by running relevant batch script, e.g.:

> call "%VS100COMNTOOLS%..\..\VC\vcvarsall.bat"

3. Run cmake-gui from this environment
4. Select "NMake makefiles" as generator (with default compilers)
5. Configure and generate makefiles
6. Run nmake from the same environment
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0027053closedabv Community Compilation fails with "fatal error RC1103: invalid option, /fp:precise" 

-  Notes
(0050453)
git (administrator)
2016-02-05 19:15

Branch CR27138 has been created by ibs.

SHA-1: 6f2fcf1d9acb577a3fe6f937982d783385932f16


Detailed log of new commits:

Author: ibs
Date: Fri Feb 5 19:14:56 2016 +0300

    0027138: Configuration, Cmake - incorrect binaries installation path for single generators
    
    specify a path for toolkit shared library
(0050882)
git (administrator)
2016-02-17 15:36

Branch CR27138 has been updated forcibly by ski.

SHA-1: e288918bffbc10bc977e6ea1544942c399e931c3
(0050893)
ski (developer)
2016-02-17 16:45

I have done "Steps To Reproduce", it seems that patch CR27138 is OK.

For single-generators:
• All *.dll and *.exe files are located in "bin" directory after installation.
• All *.lib files are located in "lib" directory.

Also, i have compiled occt on Debian70-64, location of files is correct.

OCCT branch CR27138 was rebased on current state of master.
PRODUCTS branch CR27138 was created, it contains same changes.

No testing is required, please, proceed
(0053114)
git (administrator)
2016-04-17 14:14

Branch CR27138 has been deleted by kgv.

SHA-1: e288918bffbc10bc977e6ea1544942c399e931c3

- Related Changesets
occt: master c1425a3f
Timestamp: 2016-02-05 16:14:56
Author: abv
Committer: abv
Details ] Diff ]
0027138: Configuration, Cmake - incorrect binaries installation path for single generators

specify a path for toolkit shared library
mod - adm/cmake/occt_toolkit.cmake Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-02-05 18:56 ibs New Issue
2016-02-05 18:56 ibs Assigned To => ibs
2016-02-05 19:15 git Note Added: 0050453
2016-02-05 19:30 ibs Steps to Reproduce Updated View Revisions
2016-02-05 19:30 ibs Assigned To ibs => ski
2016-02-05 19:30 ibs Status new => assigned
2016-02-05 19:31 ibs Relationship added related to 0027053
2016-02-17 15:36 git Note Added: 0050882
2016-02-17 16:45 ski Note Added: 0050893
2016-02-17 16:45 ski Status assigned => resolved
2016-02-17 16:46 ski Assigned To ski => bugmaster
2016-02-17 16:46 ski Status resolved => reviewed
2016-02-19 10:44 bugmaster Status reviewed => tested
2016-02-19 12:01 abv Target Version 7.1.0 => 7.0.0
2016-02-21 08:52 abv Changeset attached => occt master c1425a3f
2016-02-21 08:52 abv Assigned To bugmaster => abv
2016-02-21 08:52 abv Status tested => verified
2016-02-21 08:52 abv Resolution open => fixed
2016-04-17 14:14 git Note Added: 0053114
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker